Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement.xml
Class PerformanceMonitorByClassesValueXmlTranslator

    java.lang.Object
      com.sun.management.oss.impl.pm.measurement.xml.PerformanceMonitorByClassesValueXmlTranslator

public class PerformanceMonitorByClassesValueXmlTranslator
extends java.lang.Object

Constructor Summary
`PerformanceMonitorByClassesValueXmlTranslator()`

Method Summary
`static java.lang.Object` | `fromXml(org.w3c.dom.Element element, java.lang.String type)`
`static void` | `fromXmlNoRoot(org.jdom.Element element, PerformanceMonitorByClassesValue object)`
`static java.lang.String` | `toXml(PerformanceMonitorByClassesValue object, java.lang.String elementName)` long Value int FILE_SINGLE EVENT_SINGLE int ASCII boolean boolean boolean boolean boolean boolean boolean dateTime dateTime ACTIVE_ON_DUTY anyURI REAL DISCRETE_EVENT_REGISTRATION false

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerformanceMonitorByClassesValueXmlTranslator

    public PerformanceMonitorByClassesValueXmlTranslator()

Method Detail

### toXml

    public static java.lang.String toXml(PerformanceMonitorByClassesValue object,
                                         java.lang.String elementName)
                                  throws org.xml.sax.SAXException

  long Value int FILE_SINGLE EVENT_SINGLE int ASCII boolean boolean boolean boolean boolean boolean boolean dateTime dateTime ACTIVE_ON_DUTY anyURI REAL DISCRETE_EVENT_REGISTRATION false

  Throws:
    `org.xml.sax.SAXException`

### fromXml

    public static java.lang.Object fromXml(org.w3c.dom.Element element,
                                           java.lang.String type)
                                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromXmlNoRoot

    public static void fromXmlNoRoot(org.jdom.Element element,
                                     PerformanceMonitorByClassesValue object)
                              throws org.xml.sax.SAXException,
                                     java.text.ParseException,
                                     org.jdom.JDOMException

  Throws:
    `org.xml.sax.SAXException`
    `java.text.ParseException`
    `org.jdom.JDOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD